### Method

# ECal ComponentDateTime get_tzid

since: 3.34

#### Declaration [src]

    const gchar*
    e_cal_component_datetime_get_tzid (
      const ECalComponentDateTime* dt
    )

#### Description [src]

Returns the TZID stored with the `dt`. The string is owned by `dt` and it’s valid until the `dt` is freed or its TZID overwritten. It never returns an empty string, it returns either set TZID parameter value or `NULL`, when none is set.

Available since: 3.34

#### Return value

Type: `const gchar*`

A TZID of `dt`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.